Bug 87680 - No accessible caret-moved events in Writer tables
Summary: No accessible caret-moved events in Writer tables
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords: accessibility, bibisectRequest, regression
Depends on:
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2014-12-24 13:28 UTC by Joanmarie Diggs
Modified: 2017-07-13 12:10 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
test case (530.81 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-12-24 13:28 UTC, Joanmarie Diggs
Details
accessible-event listener (272 bytes, text/x-python)
2014-12-24 13:28 UTC, Joanmarie Diggs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs 2014-12-24 13:28:35 UTC
Created attachment 111289 [details]
test case

Steps to reproduce:
1. Open the attached document
2. Launch the attached accessible-event listener in a terminal
3. Arrow amongst the characters at the top of the document
4. Arrow amongst the characters in the table

Expected results: Accessible caret-moved events would be seen each time the caret moves.

Actual results: Accessible caret-moved events are seen when the caret moves outside the table; but no caret-moved events are seen when the caret moves inside the table.
Comment 1 Joanmarie Diggs 2014-12-24 13:28:59 UTC
Created attachment 111290 [details]
accessible-event listener
Comment 2 Jean-Philippe MENGUAL 2014-12-24 14:17:51 UTC
The bug is still here in 4.3.5, e.g. the latest Evolution available on the TDF website.

Regards,
Comment 3 Robinson Tryon (qubit) 2014-12-30 05:13:12 UTC
Comment on attachment 111289 [details]
test case

fix mimetype
Comment 4 Robinson Tryon (qubit) 2014-12-30 05:27:55 UTC
TESTING with Ubuntu 14.04 + LO 4.3.5.2 and 4.4.0.1

(In reply to Joanmarie Diggs from comment #0)
> Steps to reproduce:
> 1. Open attachment 111289 [details]
> 2. Launch the attached accessible-event listener in a terminal
> 3. Arrow amongst the characters at the top of the document
> 4. Arrow amongst the characters in the table
> 
> Expected results: Accessible caret-moved events would be seen each time the
> caret moves.

Yes

> Actual results: Accessible caret-moved events are seen when the caret moves
> outside the table; but no caret-moved events are seen when the caret moves
> inside the table.

NOREPRO: I'm seeing caret-moved events whenever I arrow up/down/left/right, whether inside or outside the table.

Perhaps this is fixed in 4.3/4.4 now? Jean-P says he can repro in 4.3.5, but I'm not seeing it.
I'll Resolve as WFM. Set back to UNCONFIRMED if you can still see the problem with 4.4.0.1 or later.
Comment 5 Joanmarie Diggs 2015-01-17 18:19:24 UTC
I can confirm that this is working with the nightly version of LibreOffice Writer. Orca is presenting the table cell contents now. Thanks!
Comment 6 Jean-Philippe MENGUAL 2015-01-21 03:27:36 UTC
Hi,

While the things worked fine /ith 4.2.8.2, the bug appears in 4.3.0.1. Something happened in Writer which created a regression.

What kind of output could help?

Regards,
Comment 7 Robinson Tryon (qubit) 2015-01-21 03:37:31 UTC
(In reply to Jean-Philippe MENGUAL from comment #6)
> Hi,
> 
> While the things worked fine /ith 4.2.8.2, the bug appears in 4.3.0.1.
> Something happened in Writer which created a regression.
> 
> What kind of output could help?

Please test with 4.3.6 -- if it's still there, we could theoretically investigate backporting a fix to 4.3
Comment 8 Jean-Philippe MENGUAL 2015-04-18 16:36:55 UTC
Hi,

I've just tested, the bug is still here on latest master, 5.0. Sorry but it's very boring for users to handle tables /ith this problem.

Best regards,
Comment 9 Niklas Johansson 2015-04-20 19:19:16 UTC
I can confirm that there are still problems in this area but not always. If I open the test case file and press down-arrow i do get carret-moved events but if I start by pressing right arrow 8 times and then down arrow then the problem is back.

So steps to reproduce:
1. Open the attached document
2. Launch the attached accessible-event listener in a terminal
3. Press right arrow 8 times
4. Press down arrow 2 times
Comment 10 Matthew Francis 2015-04-21 23:48:18 UTC
I couldn't reproduce text-caret-moved not being emitted while moving in the table.


I did see that moving downwards sometimes emitted duplicate events, which I guess is unexpected

That is to say, moving upwards within a table cell made the attached script output e.g.

object:text-caret-moved(-1, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]
object:text-caret-moved(7, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]


While moving downward within a table cell sometimes produced output like this:

object:text-caret-moved(-1, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]
object:text-caret-moved(7, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]
object:text-caret-moved(7, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]
Comment 11 Alex ARNAUD 2016-04-20 09:48:54 UTC
In LibreOffice 5.1.1 I'm able to reproduce.

Steps :
1) Open the document
2) Launch the script
3) Move down (event should appear)
4) Move down to the second line : no event appears

We are some people able to reproduce the bug so It seems it was confirmed.
Comment 12 QA Administrators 2017-05-22 13:24:19 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522
Comment 13 Alex ARNAUD 2017-05-30 16:21:54 UTC
Dear all,

The issue is still present on LibreOfficeDev 5.5 from 2017-05-30.

Best regards.